



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Where is the Global.asax.cs file</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Where is the Global.asax.cs file</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-22 23:07:00 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>I am using VS 2008. I have created a new Asp.net web site project from File-&gt;New-&gt;Website-&gt;Asp.net Website.</p>
<p>Now I want to add the Global.asax as well as the .cs file to the project. So I Right click on the project -&gt;Add New Item-&gt;Global Application Class. Then I clicked on the add button.</p>
<p>The Global.asax file got added with the content as under</p>
<div>
<pre class="prettyprint linenums">&lt;%@ Application Language="C#" %&gt;

 &lt;script runat="server"%&gt;

    void Application_Start(object sender, EventArgs e)<br />
    {<br />
        // Code that runs on application startup

    }

    void Application_End(object sender, EventArgs e)<br />
    {<br />
        //  Code that runs on application shutdown

    }

    void Application_Error(object sender, EventArgs e)<br />
    {<br />
        // Code that runs when an unhandled error occurs

    }

    void Session_Start(object sender, EventArgs e)<br />
    {<br />
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e)<br />
    {<br />
        // Code that runs when a session ends.<br />
        // Note: The Session_End event is raised only when the sessionstate mode<br />
        // is set to InProc in the Web.config file. If session mode is set to StateServer<br />
        // or SQLServer, the event is not raised.

    }

&lt;/script&gt;</pre>
</div>
<p>This is fine. But where is the Global.asax.cs file?</p>
<p>Thanks</p>
<h2>2 Answers</h2>
<p>That's because you created a Web Site instead of a Web Application. The&nbsp;<code>cs/vb</code>&nbsp;files can only be seen in a Web Application, but in a website you can't have a separate&nbsp;<code>cs/vb</code>&nbsp;file.</p>
<p><strong>Edit:</strong>&nbsp;In the website you can add a cs file behavior like..</p>
<div>
<pre class="prettyprint linenums">&lt;%@ Application CodeFile="Global.asax.cs" Inherits="ApplicationName.MyApplication" Language="C#" %&gt;

~/Global.asax.cs:

namespace ApplicationName<br />
{<br />
    public partial class MyApplication : System.Web.HttpApplication<br />
    {<br />
        protected void Application_Start()<br />
        {<br />
        }<br />
    }<br />
}</pre>
</div>
<p><strong>It don't create normally; you need to add it by yourself.</strong></p>
<p>After adding&nbsp;<code>Global.asax</code>&nbsp;by</p>
<ul><li><strong>Right clicking your website</strong>&nbsp;-&gt;&nbsp;<strong>Add New Item</strong>&nbsp;-&gt;&nbsp;<strong>Global Application Class</strong>&nbsp;-&gt; Add</li></ul>
<p>You need to add a class</p>
<ul><li><strong>Right clicking App_Code</strong>&nbsp;-&gt;&nbsp;<strong>Add New Item</strong>&nbsp;-&gt;&nbsp;<strong>Class</strong>&nbsp;-&gt; name it Global.cs -&gt; Add</li></ul>
<p>Inherit the newly generated by&nbsp;<code>System.Web.HttpApplication</code>&nbsp;and copy all the method created<code>Global.asax</code>&nbsp;to&nbsp;<code>Global.cs</code>&nbsp;and also add an inherit attribute to the Global.asax file.</p>
<p>Your&nbsp;<strong>Global.asax</strong>&nbsp;will look like this: -</p>
<pre class="prettyprint linenums"><code>&lt;%@ Application Language="C#" Inherits="Global" %&gt;<br />
</code></pre>
<p>Your&nbsp;<strong>Global.cs</strong>&nbsp;in&nbsp;<code>App_Code</code>&nbsp;will look like this: -</p>
<pre class="prettyprint linenums"><code>public class Global : System.Web.HttpApplication<br />
{<br />
    public Global()<br />
    {<br />
        //<br />
        // TODO: Add constructor logic here<br />
        //<br />
    }

    void Application_Start(object sender, EventArgs e)<br />
    {<br />
        // Code that runs on application startup

    }<br />
    /// Many other events like begin request...e.t.c, e.t.c<br />
}</code></pre>
<p>Orignal LinkUrl:http://stackoverflow.com/questions/6288209/where-is-the-global-asax-cs-file</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4950g0v8.html">PYTHON文件操作（二）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390mnem8.html">收集常用的&period;net开源项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/r937g3r8.html">IIS 中文文件名下载会出现403访问被拒绝</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gzrp48.html">DECLARE&lowbar;GLOBAL&lowbar;DATA&lowbar;PTR宏定义问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/49570kvq.html">Locations Section of OpenCascade BRep</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7jg6gq.html">day 2 Linux目录结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4ekrn9.html">Running Kafka At Scale</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv5xpyq.html">BZOJ 1855 股票交易（单调队列优化DP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvvv5xq.html">CentOS 6&period;5 64位 安装zabbix-2&period;2&period;0</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv7m01q.html">Git 安装与使用（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1znr309.html">简单JavaSE数据类型入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv4nejq.html">数据结构之------C&plus;&plus;指针冒泡排序算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1m36v9.html">阿里云的linux命令小结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1ypp2q.html">CSDN博客越来越垃圾了，到处放广告</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyrm0z9.html">go基础编程    day-1</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jn3nl8.html">网络基础tcp&sol;ip协议三</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p2j4n8.html">兄弟连PHP培训教你提升效率的20个要点</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp1l4xq.html">React Native学习（九）&mdash;&mdash; 使用Flexbox布局</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rnne48.html">内核中container&lowbar;of宏的详细分析【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5pzjeq.html">【AtCoder】ARC080</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/e9p65zyq.html">POJ3308 Paratroopers（最小割&sol;二分图最小点权覆盖）</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rprrd8.html">Unity Standard Assets 简介之 2D</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq1o72z8.html">如何查看项目svn路径</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e6gveq.html">&lbrack;转&rsqb; linux 下查看一个进程运行路径的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9p6lpyq.html">ACM 一种排序</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9j65nwq.html">Leetcode Remove Nth Node From End of List</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qynm1d9.html">Codeforces &num;Round 376 F 题解</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7v6oeq.html">Kosaraju 算法</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zpmyv9.html">BZOJ1171&colon; 大sz的游戏&amp;amp&semi;BZOJ2892&colon; 强袭作战</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qynpem9.html">Flex与&period;net进行URL参数传递编码处理</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
